Overview

Update view

Update view.

PUT/v2/views/{id}
Features

Send the token in the Authorization: Bearer API_TOKEN header. See Tokens for which token types this endpoint accepts.

Input7
Authorizationheaderrequired
Sent from your browser straight to the API — never to Docsbook, never stored.
idstring · pathrequired
(path)
aplQuerystring · bodyrequired
datasetsstring[] · body
descriptionstring · body
namestring · bodyrequired
sharedByOrgstring · body
ID of the org that shared this resource, if it's shared
sharedByOrgNamestring · body
The name of the org that shared this resource, if it's shared
Output6
aplQuerystring
datasetsstring[]
descriptionstring
namestring
sharedByOrgstring
ID of the org that shared this resource, if it's shared
sharedByOrgNamestring
The name of the org that shared this resource, if it's shared
Responses
200View
Example input
curl -X PUT 'https://api.axiom.co/v2/views/{id}' \
  -H 'Authorization: Bearer API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{"aplQuery":"string","name":"string"}'
Example output
{
  "aplQuery": "string",
  "datasets": [
    "string"
  ],
  "description": "string",
  "name": "string",
  "sharedByOrg": "string",
  "sharedByOrgName": "string"
}

Updated

Was this page helpful?